Package: org.gradle.api.plugins.quality

## [Groovy] Class CodeNarcPlugin

- org.gradle.api.plugins.quality.CodeNarcPlugin

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin` | `__$stMC, __timeStamp, __timeStamp__239_neverHappen1416822465420`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `configureForSourceSet(SourceSet sourceSet, CodeNarc task)`
    `protected void` | `configureTaskDefaults(CodeNarc task, String baseName)`
    `protected CodeQualityExtension` | `createExtension()`
    `protected Class<?>` | `getBasePlugin()`
    `protected Class<CodeNarc>` | `getTaskType()`
    `protected String` | `getToolName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin` | `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#setProperty(java.lang.String, java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#getProperty(java.lang.String), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#invokeMethod(java.lang.String, java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#apply(java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#apply(org.gradle.api.internal.project.ProjectInternal), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#getMetaClass(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#setMetaClass(groovy.lang.MetaClass), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#__$swapInit(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$wait(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$wait(long), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$wait(long, int), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$getClass(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$hashCode(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$notify(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$notifyAll(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$clone(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$finalize(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$equals(java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$dist$get$1(java.lang.String), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#super$1$toString(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$2$configureExtensionRule(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$2$configureTaskRule(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$2$configureSourceSetRule(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#this$2$configureCheckTask(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#wait(long, int), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#wait(long), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#wait(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#equals(java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#toString(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#hashCode(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#getClass(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#notify(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected void configureForSourceSet(SourceSet sourceSet, CodeNarc task)

    - #### @Override protected void configureTaskDefaults(CodeNarc task, String baseName)

    - #### @Override protected CodeQualityExtension createExtension()

    - #### @Override protected Class<?> getBasePlugin()

    - #### @Override protected Class<CodeNarc> getTaskType()

    - #### @Override protected String getToolName()